--
-- Configurao para o interceptador de requisies ao servio de registro
--
local Utils = require "openbus.util.Utils"
local DATA_DIR = os.getenv("OPENBUS_DATADIR")
local config =
  assert(loadfile(DATA_DIR.."/conf/advanced/InterceptorsConfiguration.lua"))()

-- Acrescenta informao sobre as operaces a serem liberadas
config.interfaces = {
 {
    interface = Utils.COMPONENT_INTERFACE,
    excluded_ops = {"getFacet", "getFacetByName"}
  },
 {
    interface = Utils.RECEPTACLES_INTERFACE,
    excluded_ops = {"getConnections", "connect", "disconnect"}
  },
}

return config
